Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface NetwareFile

public interface NetwareFile
extends NFile

Provides an interface for getting the NetWare file system file object attribute values.

The associated file object attribute values are the following:

- Directory Entry Information
- Extended Attributes
- Trustees

Method Summary
`DirectoryEntryInformation` | `getDirectoryEntryInformation()` Returns the DirectoryEntryInformation object associated with this file.
`EAEnumerator` | `getEAEnumerator()` Returns the EAEnumerator object associated with this file.
`EffectiveRights` | `getEffectiveRights()` Returns the EffectiveRights object associated with this file.
`TrusteeEnumerator` | `getTrusteeEnumerator()` Returns the TrusteeEnumerator object associated with this file.
`void` | `setDirectoryEntryInformation(DirectoryEntryInformation dei, int mod_op)` Modifies the back end DirectoryEntryInformation object associated with this directory entry.
`void` | `setExtendedAttribute(ExtendedAttribute ea, int mod_op)` Modifies the back end ExtendedAttribute object associated with this directory entry.
`void` | `setTrustee(Trustee trustee, int mod_op)` Modifies the back end Trustee Attribute object associated with this directory entry.

Methods inherited from interface com.novell.java.io.NFile
`lastModified, length`

Method Detail

### getDirectoryEntryInformation

    public DirectoryEntryInformation getDirectoryEntryInformation()
                                                           throws com.novell.service.jncp.NSIException

  Returns the DirectoryEntryInformation object associated with this file.
  Returns:
    The DirectoryEntryInformation object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the DirectoryEntryInformation object.
  See Also:
    `setDirectoryEntryInformation(com.novell.service.file.nw.DirectoryEntryInformation, int)`, `DirectoryEntryInformation`

### setDirectoryEntryInformation

    public void setDirectoryEntryInformation(DirectoryEntryInformation dei,
                                             int mod_op)
                                      throws com.novell.service.jncp.NSIException

  Modifies the back end DirectoryEntryInformation object associated with this directory entry.

  The modifyMask parameter of the DirectoryEntryInformation object is 0 by default. To modify individual parameters of the DirectoryEntryInformation object, set bits in a modify mask and pass this new mask in rather than the one obtained from the getDirectoryEntryInformation() call.

  Parameters:
    `dei` - The DirectoryEntryInformation modify value.
    `mod_op` - The modification to perform if the attribute is part of the set; valid values are DirContext.REPLACE_ATTRIBUTE.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in setting the DirectoryEntryInformation object.
  See Also:
    `getDirectoryEntryInformation()`, `DirectoryEntryInformation`

### getEAEnumerator

    public EAEnumerator getEAEnumerator()
                                 throws com.novell.service.jncp.NSIException

  Returns the EAEnumerator object associated with this file.
  Returns:
    The EAEnumerator object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the EAEnumerator object.

### setExtendedAttribute

    public void setExtendedAttribute(ExtendedAttribute ea,
                                     int mod_op)
                              throws com.novell.service.jncp.NSIException

  Modifies the back end ExtendedAttribute object associated with this directory entry.
  Parameters:
    `ea` - The ExtendedAttribute modify value.
    `mod_op` - The modification to preform if the attribute is part of the set; valid values are DirContext.ADD_ATTRIBUTE and DirContext.REPLACE_ATTRIBUTE.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in setting the ExtendedAttribute object.

### getTrusteeEnumerator

    public TrusteeEnumerator getTrusteeEnumerator()
                                           throws com.novell.service.jncp.NSIException

  Returns the TrusteeEnumerator object associated with this file.
  Returns:
    The TrusteeEnumerator object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the TrusteeEnumerator object.

### setTrustee

    public void setTrustee(Trustee trustee,
                           int mod_op)
                    throws com.novell.service.jncp.NSIException

  Modifies the back end Trustee Attribute object associated with this directory entry.
  Parameters:
    `trustee` - The Trustee Attribute modify value.
    `mod_op` - The modification to perform if the attribute is part of the set; valid values are DirContext.ADD_ATTRIBUTE, DirContext.REMOVE_ATTRIBUTE, and DirContext.REPLACE_ATTRIBUTE.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in setting the Trustee object.

### getEffectiveRights

    public EffectiveRights getEffectiveRights()
                                       throws com.novell.service.jncp.NSIException

  Returns the EffectiveRights object associated with this file.
  Returns:
    The EffectiveRights object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the EffectiveRights object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD